Questions tagged [magento-2.1]

Denotes questions related to Magento CE and EE 2.1.x

Filter by
Sorted by
Tagged with
0
votes
1answer
694 views

How to upgrade to Magento 2.1 RC 1 when Magento 2 is installed via GitHub

Ok so I'm running Magento 2.0.6 and I have installed it via the GitHub repo. So as I cannot use the backend upgrade tool, when I upgrade Magento 2 I'm used to run the following: git pull origin ...
9
votes
2answers
5k views

Why doesn't Magento 2.1 support PHP 7.0.3 to 7.0.5?

As you may know Magento 2.1.0 is out. According to the release notes, only PHP 7.0.2 AND PHP 7.0.6 are supported Why aren't PHP 7.0.3 / 7.0.4 / 7.0.5 supported ? Edit: 2.1.2 now supports PHP 7.0.4
15
votes
5answers
1k views

What is the preferred structure of a Magento 2 project under VCS?

When I start a new M2 project, the first thing I would do is to install the core via composer: composer create-project --repository-url=https://repo.magento.com/ magento/project-community-edition I ...
4
votes
1answer
192 views

Magento2: module dependence

Magento 2.0 has several optional extensions (they are not necessarily to be installed). How can I safely announce the class dependency for these extensions in my __constract method? Please note that ...
-3
votes
1answer
3k views

How to align(stylise) images properly in static block in Magento [closed]

How can I add images side by side not one by one in static block? I created new block like And I got result as But I need like this